BB Logo Spacer
Spacer
Line
Line
Java Applets

There are a number of games and puzzles on BrainBashers and BrainBashers Games that require Java in order to run.

The latest version of Java has a higher default level of security than previous versions, and some items will no longer work on BrainBashers and BrainBashers Games at those default settings.

However, at your own risk, you can add BrainBashers and/or BrainBashers Games to your computer's exception list and you should be able to continue playing Java items on our sites.

There is more information on the main Java website that will help you to do this:

We hope that this information is useful.

 

This website uses cookies, for more information please view our privacy policy.

Line
Line